
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SpringBoot热部署 / iVAN</title>

    <meta name="description" content="SpringBoot热部署 在SpringBoot中启用热部署是非常简单的一件事,因为SpringBoot为我们提供了一个非常方便的工具spring-boot-devtools,我们只需要把这个工具引入到工程里就OK了,下面我就说一下怎么引入spring-boot-devtools. 修改pom.xml 我们只需要在pom.xml里,引入相应的jar包就行了. &lt;dependency&gt; &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt; &lt;art ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SpringBoot热部署</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在SpringBoot中启用热部署是非常简单的一件事，因为SpringBoot为我们提供了一个非常方便的工具spring-boot-devtools，我们只需要把这个工具引入到工程里就OK了，下面我就说一下怎么引入spring-boot-devtools。</p>
<h2>修改pom.xml</h2>
<p>我们只需要在pom.xml里，引入相应的jar包就行了。
<pre>        &lt;dependency&gt;
            &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;
            &lt;artifactId&gt;spring-boot-devtools&lt;/artifactId&gt;
            &lt;optional&gt;true&lt;/optional&gt;&lt;!-- optional=true,依赖不会传递，该项目依赖devtools；之后依赖myboot项目的项目如果想要使用devtools，需要重新引入 --&gt;
        &lt;/dependency&gt;</pre>
<h2>重新编译类文件</h2>
<p>当我们修改了一个java类的时候，我们只需要重新编译一下，SpringBoot的就会重启了。因为devtools会监听classpath下的文件变动，所以当java类重新编译的时候，devtools会监听到这个变化，然后就会重新启动SpringBoot。这个重启是非常快的一个过程。因为在SpringBoot中有两个类加载器，一个是加载工程外部资源的，如jar包，还有一个类加载器是用来加载本工程的class的。所以在重启SpringBoot的时候只加载本工程的class文件。</p>
<h2>监听文件夹的变化</h2>
<p>如果你不想重新编译java类的话，还有一种方式用来让SpringBoot重启，那就是让devtools监听文件夹的变化：比如我们想让com.zkn.learnspringboot这个文件夹下的文件改变的时候，重新启动SpringBoot，那么我们只要在application.properties中添加这样一句话就行了：spring.devtools.restart.additional-paths=com\\zkn\\learnspringboot。</p>
<h2>页面热部署</h2>
<p>devtools可以实现页面热部署，即页面修改后会立即生效。你可以在application.properties文件中配置spring.thymeleaf.cache=false来实现这个功能。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 19:56:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/spring/" title="spring">spring</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SpringBoot热部署的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqeNxb.html" rel="bookmark">spring-boot 速成&lpar;2&rpar; devtools之热部署及LiveReload</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JRebel热部署插件相信很多人都知道,但是这是一款商业插件,spring-boot框架也提供了类似的功能,即:devtools,关键是免费的! 使用方法如下: 一.添加 devtools依赖 dependencies { compile('org.springframework.boot:spring-boot-starter-web') compile('org.springframework.boot:spring-boot-devtools') compileOnly('org.proj			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNnBLxM.html" rel="bookmark">springboot &plus; devtools（热部署）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技术介绍 devtools:是boot的一个热部署工具,当我们修改了classpath下的文件(包括类文件.属性文件.页面等)时,会重新启动应用(由于其采用的双类加载器机制,这个启动会非常快,如果发现这个启动比较慢,可以选择使用jrebel) 双类加载器机制:boot使用了两个类加载器来实现重启(restart)机制:base类加载器(简称bc)+restart类加载器(简称rc). bc:用于加载不会改变的jar(eg.第三方依赖的jar) rc:用于加载我们正在开发的jar(eg.整个项目里			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQaA0Qb.html" rel="bookmark">spring boot 调试 - 热部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在bash脚本中的启动方式: #!/bin/bash JAVA_OPTS=&quot;-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=5005&quot; nohup java -jar $JAVA_OPTS scheduler-0.0.1.jar --spring.profiles.active=prod &gt;/dev/null 2&gt;&amp;1 &amp; JAVA_OPTS的双引号不能少,否则报错   命令行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9a4M8.html" rel="bookmark">tomcat 和 jboss的热部署（热发布）问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				所谓的热部署(热发布)(下面称为&quot;热部署&quot;),就是说,在web工程发布之后,不可避免的,会遇到修改BUG的问题.现在的热部署就是为了解决这个问题,其功能就是说:在不停止web服务的同时,对jsp和java类进行修改,修改后的效果同时还能够在页面上显示出来.节省了调试时间,提高了效率.不过,修改配置文件是个例外,如果对配置文件做修改,一定要重启web服务.         常用的web服务器一般为tomcat和jboss,现一一做介绍.         1.tomcat热部署      			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRw7dp.html" rel="bookmark">关于热部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在eclipse中, Project 下,勾选   build automatically,可以选择项目热部署. 但是,热部署会发生,重启项目的问题,如果你的项目启动一次,需要3分钟,这显然是不合算的. 有一个方法可以解决这个问题,既可以热部署,又可以不重新部署项目,, 当然,这个方法,,仅限于   修改某个方法内部代码,如果你修改的代码,是在方法中,增加或者删除了某个参数,还是需要重新部署整个项目的. 如图下: 按照步骤,首先选择你要修改的服务器,,双击,显示编辑服务器页面,然后选择Modul			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOZdQp.html" rel="bookmark">深入探索Java热部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 在 Java 开发领域,热部署一直是一个难以解决的问题,目前的 Java 虚拟机只能实现 方法体的修改热部署,对于整个类的结构修改,仍然需要重启虚拟机,对类重新加载才能完成更新操作. 对于某些大型的应用来说,每次的重启都需要花费大量的时间成本.虽然 osgi 架构的出现,让模块重启 成为可能,但是如果模块之间有调用关系的话,这样的操作依然会让应用出现短暂的功能性休克.本文将 探索如何在不破坏 Java 虚拟机现有行为的前提下,实现某个单一类的热部署,让系统无需重启就完成某 个类的更新. 类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3n1Pz.html" rel="bookmark">使用Jrebel热部署后如何知道是否重载成功了？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用Jrebel热部署后如何知道是否重载成功了? 使用了 jrebel 进行热部署,成功了, 可是每次 修改 都要等待 几秒钟以后才生效,如果立即点击页面的话还是之前的代码, 重点是 他并没有提示 告诉我 我修改了之后 他是什么时候 重新不熟的,我只能靠点击页面来查看 他是不是重新部署成功了,还有其他办法吗,我感觉jrebel应该有相应的配置吧 解决方案 有人知道吗, 使用 jrebel热部署后 ,如何查看是否 重载了 是否重载成功了 解决方案二: 来人啊 ,等答案啊,有人没有知道啊,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZVgOb.html" rel="bookmark">web动态部署（热部署）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天跟大家探讨一下关于web动态部署,也就是热部署的问题.说这个之前,先说一个敏捷开发的原则. [最小发布.增量开发] 我们在做项目时,设定的期限都特别长.总是想第一个版本就想把所有想到的问题都做完,以至于项目一再延期.所以我们应该改变我们的开发策略.采用敏捷开发的方式. 这里我想强调的有2点,1.最小发布.2.增量开发. 对于最小发布,就是要在第一版中把核心功能实现,即立即发布第一个版本.在实际的开发中,公司为了抢占市场,都会尽可能早的发布一个V1.0的版本.能有效的占领市场,同时对于开发人员			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NGPWz.html" rel="bookmark">Tomcat热部署和虚拟目录配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Tomcat如何配置热部署 默认就是  1 &lt;Host appBase=&quot;webapps&quot; autoDeploy=&quot;true&quot; name=&quot;localhost&quot; unpackWARs=&quot;true&quot;&gt; 如果要实现IDE修改代码的自动部署,可以使用第三方工具 http://www.zeroturnaround.com/jrebel/ 1.解压缩包 2.执行java -jar jrebel-setup.jar 3.会			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze7x8M.html" rel="bookmark" class="title">诺基亚嘲笑苹果和谷歌地图应用：声称自占上风</a>
					<div>
						北京时间9月22日凌晨消息,诺基亚在网站上发布博客文章,讨论了该公司地图应用的价值,同时还嘲笑苹果和谷歌的地图应用. 诺基亚在文中指出:&quot;与我们的竞争对手有所不同的是,它们正在利用其位置资产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBGyNM.html" rel="bookmark" class="title">word2013怎样分两栏插入目录</a>
					<div>
						  分两栏插入目录步骤如下: 步骤一:打开需要编辑的文档.在首页选定空白内容,这点最为重要,决定了能否完成的问题.然后依次&quot;页面布局&quot;.&quot;分栏&quot;.最后到&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqJVap.html" rel="bookmark" class="title">根据IP找地址的java实现</a>
					<div>
						根据IP找地址的java实现,能将\t分隔的ip,地址格式(起始IP\t结束IP\t国家\t地区\n)转化为升序的二进制格式,通过二分查找能在50-150ms内找到对应IP的地址信息. 原始数据可用I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD79Bp.html" rel="bookmark" class="title">看实例学VFP：编程方式创建类</a>
					<div>
						上两个例子中介绍了使用&quot;类设计器&quot;来交互方式创建类,与交互方式相对应的,也可以用编程方式创建类.不过用这种方式来创建类很麻烦,并且需要极大的耐心去调试,相对来说用得比较少. 算是扩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKJJWp.html" rel="bookmark" class="title">忘记了MySQL的root密码后如何取回</a>
					<div>
						问:如果忘记了MySQL的root密码应当如何取回? 答:解决方法如下: 在my.cnf的[mysqld]字段加入: skip-grant-tables 然后重启你的mysqld,这样久没有密码了.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElZgPz.html" rel="bookmark" class="title">C&plus;&plus;数值--字符串间转换方法总结</a>
					<div>
						C/C++中相关的转换方法主要有如下几种: (一).使用CRT库中的转换函数族. _itoa, _itow 及其反转换 atoi, _wtoi _ltoa, _ltow 及其反转换 atol, _wt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPmZWz.html" rel="bookmark" class="title">WorldWind系列二：擒贼先擒王篇1</a>
					<div>
						有了WorldWind系列一的基础,我们已经可以进行正常调试运行啦!可以先操作看看软件的功能吧,这样我们才可以知道WorldWind有哪些功能等待我们学习的. 开始我们的&quot;WorldWind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKxw5p.html" rel="bookmark" class="title">数据点&colon; 再探System&period;Transactions</a>
					<div>
						在 Microsoft .NET Framework 中,System.Transactions 命名空间使得事务的处理比采用以往任何 一种技术都要简单.此前,我曾经撰写过一个数据点专栏,介绍了 Sy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLLERb.html" rel="bookmark" class="title">JavaScript函数参数使用带参数名的方式赋值传入的方法</a>
					<div>
						 这篇文章主要介绍了JavaScript函数参数使用带参数名的方式赋值传入的方法,实例分析了javascript函数传递参数的使用技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badrNPz.html" rel="bookmark" class="title">linux安装AWStats业务数据分析工具</a>
					<div>
						Awstats是一个非常简洁而且强大的统计工具.它可以统计您站点的如下信息: 一:访问量,访问次数,页面浏览量,点击数,数据流量等精确到每月.每日.每小时的数据 二:访问者国家.访问者IP.操作系统. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNE4nz.html" rel="bookmark" class="title">修改VISUAL STUDIO EXPRESS 2012新建C&plus;&plus;文件编码</a>
					<div>
						本站文章除注明转载外,均为本站原创或者翻译. 本站文章欢迎各种形式的转载,但请18岁以上的转载者注明文章出处,尊重我的劳动,也尊重你的智商: 本站部分原创和翻译文章提供markdown格式源码,欢迎使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamvBQb.html" rel="bookmark" class="title">Hadoop安装遇到各种异常以及解决方法</a>
					<div>
						异常一: 2014-03-13 11:10:23,665 INFO org.apache.Hadoop.ipc.Client: Retrying connect to server: Linux-ha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQnXOp.html" rel="bookmark" class="title">大数据等最核心的关键技术：32个算法</a>
					<div>
						合并查找算法(Union-find)--给定一组元素,该算法常常用来把这些元素分为多个分离的.彼此不重合的组.不相交集(disjoint-set)的数据结构可以跟踪这样的切分方法. 奥地利符号计算研究 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjmVQp.html" rel="bookmark" class="title">adb shell 是什么，如何进入？</a>
					<div>
						本文适合于想了解android系统基础知识,知道大家说的adb shell 到底是怎么回事儿的小白同学. (主要偏向于windows用户,相信如果你用linux...本文可能已经帮不到你什么了)一,从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6qZPM.html" rel="bookmark" class="title">&lbrack;经典面试题&rsqb;&lbrack;百度&rsqb;电话号码对应英语单词</a>
					<div>
						题目 现在有一个手机,手机上的键盘上有这样的对应关系,2对应&quot;abc&quot;,3对应&quot;def&quot;-..手机里面有一个userlist用户列表,当我们输入942的时候出来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6ONxb.html" rel="bookmark" class="title">软件测试流程规划</a>
					<div>
						一.引言 本文档规范了软件测试过程中的整体流程,明确了软件测试从开始到结束的各个阶段,以及在各阶段中的负责人.具体工作内容和必需的输入输出文档.另外,本文还介绍了各测试阶段需要的测试工具.测试点和测试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRKaBb.html" rel="bookmark" class="title">fragment-Cannot cast from Fragment to ToDoListFragment的错误</a>
					<div>
						问题描述 Cannot cast from Fragment to ToDoListFragment的错误 Fragment的代码: public class NewItemFragment exte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAAl4p.html" rel="bookmark" class="title">2&period;CCGridAction&lpar;3D效果&rpar;，3D反转特效，凸透镜特效，液体特效，3D翻页特效，水波纹特效，3D晃动的特效，扭曲旋转特效，波动特效，3D波动特效</a>
					<div>
						﻿﻿ 1 类图组织 2 实例 CCSprite * spr = CCSprite::create(&quot;HelloWorld.png&quot;); spr-&gt;setPosition(cc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RnnAz.html" rel="bookmark" class="title">环信自动布局是怎么实现的？在哪里实现的？</a>
					<div>
						问题描述 自动布局我平时都是在xib上执行的,那环信自动布局是怎么实现的?在哪里实现的? 解决方案 有的页面是,有的不是,下载个环信demo看看吧http://www.easemob.com/sdk/					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY3lmp.html" rel="bookmark" class="title">1、libgdx简介</a>
					<div>
						Libgdx 是一个跨平台和可视化的的开发框架.它当前支持Windows,Linux,Mac OS X,Android,IOS和HTML5作为目标平台. Libgdx允许你一次编写代码不经修改部署到多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX8Kvz.html" rel="bookmark" class="title">跟益达学Solr5之Schema&period;xml详解</a>
					<div>
						 schema.xml是用来定义索引数据中的域的,包括域名称,域类型,域是否索引,是否分词,是否存储,是否标准化即Norms,是否存储项向量等等.      schema.xml配置文件的根元素就是s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY10Bp.html" rel="bookmark" class="title">Nginx学习之负载均衡fair模块</a>
					<div>
						写在开始 前面对Nginx的三种负载均衡实现做了一个简单的介绍,这里分享一个第三方的负载均衡模块nginx-upstream-fair. 模块介绍 The Nginx fair proxy balan ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXxwyz.html" rel="bookmark" class="title">360诉腾讯垄断案：腾讯是否具有市场支配地位？</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 判断腾讯是否具有市场支配地位的前提是界定相关市场,但是,国内反垄断法主要是原则性规定,唯一操作细则即&lt;国务院反垄断委员会关于相关市场界定的指南&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw31EM.html" rel="bookmark" class="title">net&lowbar;lover&comma;专家，您好！ 请问DataGridView编辑修改完后，提交到DataSet的正确写法是怎样？</a>
					<div>
						问题描述 我想问一下,在.NET中程序用分层法来,建了一个DataAccess层,数据处理都在里面,包括DataSet(DataSet是自己写的),现在想在界面层里编辑DataGridView控件中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq77QOz.html" rel="bookmark" class="title">重庆市与九次方大数据签署战略合作备忘录</a>
					<div>
						ZDNet至顶网软件频道消息(文姜玮玮):2014年7月11日,重庆市经济和信息化委员会领导与九次方大数据公司总裁王叁寿签署了关于共同推动大数据和互联网金融产业发展战略合作备忘录.双方就重庆市与九次方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR6k2p.html" rel="bookmark" class="title">性价比app：为智能生活优化而生</a>
					<div>
						日前,性价比app发布了自己的最新产品.至此,在主流应用平台上上架的一年多的性价比app将以全新面貌呈现在用户面前.据悉,性价比app此次改版不仅在UI.版面等视觉效果上进行了改动,还添加了个性测试, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjDGWM.html" rel="bookmark" class="title">mysql-linux 安装phpMyAdmin报错</a>
					<div>
						问题描述 linux 安装phpMyAdmin报错 安装phpMyAdmin报错信息#2002 - Permission denied - The server is not responding ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQrW4p.html" rel="bookmark" class="title">mscordbi&period;dll版本不能在win8&period;1注册</a>
					<div>
						问题描述 操作系统WIN8被MS莫名其妙升级到8.1,然后VS2003就不能调试了,说MSCORDBI.dll没有注册,用命令行注册时,提示与当前操作系统不兼容,54位的WIN8.1,该使用哪个版本的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7Pa3z.html" rel="bookmark" class="title">梭子鱼网络：如何防护httpoxy漏洞</a>
					<div>
						新的一天,新的主题:这次是 httpoxy.在特定的网络服务器配置下,恶意用户可通过该漏洞拦截服务器之间的内部通信,或使服务器资源过载导致拒绝服务.httpoxy 的核心是 2 个不相关实体之间的命名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jA8vp.html" rel="bookmark" class="title">解读C&plus;&plus;编程的相关文件操作&lowbar;C 语言</a>
					<div>
						C++文件的概念 迄今为止,我们讨论的输入输出是以系统指定的标准设备(输入设备为键盘,输出设备为显示器)为对象的.在实际应用中,常以磁盘文件作为对象.即从磁盘文件读取数据,将数据输出到磁盘文件.磁盘是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
